{% extends 'layouts/base.html.twig' %}

{% block title %}Liste d'invertentions{% endblock %}


{% block body %}
<div class="row">
    <div class="col-md-12">
        {% include 'form/_search.twig.html' %}
    </div>
    <div class="col-md-12">
        <a href="{{ path('app_intervention_add' )}}" class="btn btn-dark"><i class="fa-sharp fa-solid fa-plus"></i> Ajouter une nouvelle intervention </a>
    </div>
    <div class="col-md-12">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Intitulé</th>
                    <th scope="col">Client</th>
                </tr>
            </thead>
            <tbody>
                {% for intervention in interventions %}
                <tr>
                    <th scope="row">{{ intervention.id }}</th>
                    <td><a href="{{ path('app_intervention_show', {id: intervention.id}) }}"> {{ intervention.intitule }} </a></td>
                    <td><a href="{{ path('app_client_show', {id: intervention.client.id}) }}"> {{ intervention.client.nom }} {{ intervention.client.prenom }} </a></td>
                </tr>
                {% endfor %}
            </tbody>
            </table>
    </div>
</div>
  
{% endblock %}